Useful or not, from you.
angular Migration issue: Call retries were exceeded

<!--๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…

Oh hi there! ๐Ÿ˜„

To expedite issue processing please search open and closed issues before submitting a new one. Existing issues often contain information about workarounds, resolution, or progress updates.

๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…๐Ÿ”…-->

๐Ÿž bug report

Affected Package

<!-- Can you pin-point one or more @angular/* packages as the source of the bug? --> <!-- โœ๏ธedit: --> Unknown

Is this a regression?

Not sure, but I have not see this problem before. <!-- Did this behavior use to work in the previous version? -->

Description

I am trying to upgrade from Angular 8.2.x to 9.0-rc7

These ran successfully:

ng update @angular/core@8 @angular/cli@8
ng update @angular/core @angular/cli --next
ng update @angular/material --next

I then tried ng build and ran into the error noted below.

This appears to be the same as https://github.com/angular/angular/issues/32913, which was reported as fixed in this release, but it is not.

๐Ÿ”ฌ Minimal Reproduction

<!-- Please create and share minimal reproduction of the issue starting with this template: https://stackblitz.com/fork/angular-issue-repro2 --> <!-- If StackBlitz is not suitable for reproduction of your issue, please create a minimal GitHub repository with the reproduction of the issue. A good way to make a minimal reproduction is to create a new app via ng new repro-app and add the minimum possible code to show the problem. Share the link to the repo below along with step-by-step instructions to reproduce the problem, as well as expected and actual behavior.

Issues that don't have enough info and can't be reproduced will be closed.

You can read more about issue submission guidelines here: https://github.com/angular/angular/blob/master/CONTRIBUTING.md#-submitting-an-issue --> While I am not able to create a minimal reproduction, I believe my actual codebase (which is open-source) is sufficient to demonstrate the issue.

From that branch, just run ng build.

๐Ÿ”ฅ Exception or Error

<pre><code>Generating ES5 bundles for differential loading... An unhandled exception occurred: Call retries were exceeded See "/private/var/folders/c0/dxv4vgb11ts_cvznblv5pvtm0000gn/T/ng-fTXT9P/angular-errors.log" for further details.</code></pre>

That log contents is: <pre><code>[error] Error: Call retries were exceeded at ChildProcessWorker.initialize (/Users/msorens/code/go/src/github.com/chef/automate/components/automate-ui/node_modules/jest-worker/build/workers/ChildProcessWorker.js:193:21) at ChildProcessWorker.onExit (/Users/msorens/code/go/src/github.com/chef/automate/components/automate-ui/node_modules/jest-worker/build/workers/ChildProcessWorker.js:263:12) at ChildProcess.emit (events.js:189:13) at Process.ChildProcess._handle.onexit (internal/child_process.js:248:12</code></pre>

๐ŸŒ Your Environment

Angular Version: <pre><code> <!-- run ng version and paste output below --> <!-- โœ๏ธ-->Angular CLI: 9.0.0-rc.6 Node: 10.15.2 OS: darwin x64

Angular: 9.0.0-rc.7 ... animations, common, compiler, compiler-cli, core, forms ... language-service, platform-browser, platform-browser-dynamic ... platform-server, router Ivy Workspace: Yes

Package Version

@angular-devkit/architect 0.900.0-rc.6 @angular-devkit/build-angular 0.900.0-rc.6 @angular-devkit/build-optimizer 0.900.0-rc.6 @angular-devkit/build-webpack 0.900.0-rc.6 @angular-devkit/core 8.3.6 @angular-devkit/schematics 8.3.6 @angular/cdk 9.0.0-rc.5 @angular/cli 9.0.0-rc.6 @angular/material 9.0.0-rc.5 @ngtools/webpack 9.0.0-rc.6 @nguniversal/express-engine 8.1.1 @schematics/angular 9.0.0-rc.6 @schematics/update 0.900.0-rc.6 rxjs 6.5.3 typescript 3.6.4 webpack 4.41.2</code></pre>

Anything else relevant? <!-- โœ๏ธIs this a browser specific issue? If so, please specify the browser and version. -->

<!-- โœ๏ธDo any of these matter: operating system, IDE, package manager, HTTP server, ...? If so, please mention it below. --> Running on macOS Mojave.

That's a useful answer
Without any help

@msorens Thanks for submitting this issue! I just want to clarify that the issue you linked to (#32913) has been fixed since the issue was only about the migration errors similar to the followed:

Error: error TS100: Couldn't resolve resource modules/breakpoints from X/nav.component.scss

The issue also mentions unrelated things about ng build no longer working. Though these things did not belong into that issue at all, since it was only about the SCSS resolution errors (which have been fixed)

The issue you are facing seems to be CLI specific, and has been tracked with https://github.com/angular/angular-cli/issues/15493. I'll close this issue since there seem to be several issues about this on the CLI repository. Please let me know if you think this should be re-opened/if you see different things. Thanks!